What's new (PalmOS) :
--------------------------------------------------------------------------------

- 07-12-10
~~~~~~~~~~

- FIXED : [ARM] return key
- FIXED : [ARM] Lure of the Tempress engine!
- FIXED : [ZOD] unexpected crashes on Zodiac
- ADDED : [ARM] Drascula engine
- ADDED : [ARM] Igor engine


- 07-09-01
~~~~~~~~~~

- ADDED : [ARM] ASM optimized functions


- 07-08-17
~~~~~~~~~~

- FIXED : [ARM] prevent screen orientation switch
- ADDED : [ZOD] we can now use zipped version of ARM code


- 07-06-16
~~~~~~~~~~

- FIXED : [ARM] arrow keys emulation
- FIXED : [OS5] mouse button events
- CHANGED : [OS5] use the old and faster 1.5x when available


- 07-05-01
~~~~~~~~~~

- ADDED : [FED] supported games list
- FIXED : [ZOD] palette cursor
- CHANGED : [ARM] now make use of my new PalmOS Porting SDK


- 07-02-xx
~~~~~~~~~~

- FIXED : [OS5] OS5 advanced mode checkbox position
- FIXED : [OS5] orientation at startup
- FIXED : [ARM] printf function
- FIXED : [ALL] arrow keys emulation
- ADDED : [ZOD] ZLib support for saved games and more
- ADDED : [ZOD] gui theme support
- ADDED : [ALL] rewind function to stdio
- ADDED : [ALL] dummy fdopen function to help ZLib
- CHANGED : [ALL] the way wide switch is handled


- 07-01-21
~~~~~~~~~~

- FIXED : [ALL] mouse redraw in Touche
- FIXED : [ALL] reviewed controls
- ADDED : [OS5] support for hi-res games (BS, Touche, ...)
- ADDED : [OS5] multiple ratio support



- 07-01-14
~~~~~~~~~~

- ADDED : [ARM] static initializers
- ADDED : [FED] engines location auto-detection
- ADDED : [FED] Apple IIgs platform
- ADDED : [ZOD] Touché, The Adventures of the Fifth Musketeer engine
- FIXED : [OS5] added missing grabRawScreen function


- 06-10-01
~~~~~~~~~~

- CHANGED : [ALL] Simon engine has been renamed to AGOS


- 06-09-14
~~~~~~~~~~

- FIXED : [OS5] standard PalmOS version works again


- 06-09-10
~~~~~~~~~~

- FIXED : [ZOD/OS5] Fixed in-game gui palette
- FIXED : [ZOD] mouse cursor glitches in Broken Sword, seems to fix crash on exit too
- FIXED : [ALL] key repeat problem

- 06-09-09
~~~~~~~~~~

- ADDED : [ZOD] Broken Sword engines !

- 06-06-06
~~~~~~~~~~

- ADDED : [FED] Default music driver
- ADDED : [ALL] arrow keys simulation option
- ADDED : [ALL] AGI (Sarien) engine support
- CHANGED : [FED] don't display std palette on ARM devices
- CHANGED : [ALL] revamp a bit standard library and get rid of old implementation already in MSL
- FIXED : [ALL] hang while moving the mouse using hard keys

- 06-03-07
~~~~~~~~~~
- ADDED : [FED] 3DO platform option
- ADDED : [ALL] CinE and Lure engines WIP
- ADDED : [OS5] advanced mode (Misc panel)
- FIXED : [FED] enable audio option
- FIXED : [ALL] gfx mode configuration so that we can select normal mode from the GUI
- FIXED : [ZOD] hang using MIDI drivers due to unstable system timer
- FIXED : [OS5] sound stopped after power off
- FIXED : [ALL] fight mode shortcut

- 06-01-23
~~~~~~~~~~
- ADDED : [ALL] Kyrandia engine support
- ADDED : [ARM] true timer support (back)
- ADDED : [ARM] true mutex support, seems to fix dead locks and crashes
- FIXED : [ALL] CD functions, return "false" inteas of "true" by default
- FIXED : [OS5] unexpected crashes using MP3 and more
- FIXED : [ALL] some command line options not correctly passed from the frontend

- 06-01-09
~~~~~~~~~~
- ADDED : [OS5] mouse pointer
- ADDED : [OS5] wide mode
- ADDED : [ALL] NVFS support to fopen
- ADDED : [ARM] card access indicator
- ADDED : [OS5] OSD (key state, fight mode, low battery = corrupted for now)
- CHANGED : [OS5] backend is now 16bit
- REMOVED : [OS5] true timer, so that ScummVM can run with more devices
- REMOVED : [FED] ARM optimization checkbox
- FIXED : [ALL] some issues with PalmOS GUI elements (alert, DIA, ...)
- FIXED : [FED] no frontend error if mathlib is not found
- FIXED : [OS5] debugger crash (copyRectToOverlay)
- FIXED : [ALL] "Non-word-aligned handle" fatal error

- 05-12-04
~~~~~~~~~~
- NEW : OS5 ARM version
- ADDED : set stack size for ARM engines too
- ADDED : NVFS support
- ADDED : LifeDrive and T5 file browser support in the frontend
- FIXED : don't force power off on low battery if the device is plugged-in
- FIXED : no MIDI error selecting Adlib


- 05-11-xx
~~~~~~~~~~
- NEW : Zodiac ARM version
- ADDED : more user frendly error message importing files
- ADDED : adlib quality selector
- ADDED : MP3 and OGG (slow) support
- ADDED : new scummVM logo
- ADDED : autosave_period option
- ADDED : true timer support
- FIXED : debug option
- FIXED : alt intro option
- FIXED : copy protection option
- FIXED : demo mode option
- FIXED : immediatly exit if error importing files in direct mode
- FIXED : do not exit on cancel using engine selector
- FIXED : small frontend memory leaks
- FIXED : corrected list selection (selected = top one)
- FIXED : FM_*_quality not set in direct mode
- FIXED : "free handle error" is the active skin is removed and there is no more skin available
- FIXED : card selection when the card was previously removed
_ CHANGED : take the first available card in direct mode to prevent "engine not found" error
- CHANGED : music and sound panel
- CHANGED : frontend menu
- CHANGED : new direct launch panel
- CHANGED : reordered frontend popups
- CHANGED : numpad is now mapped to the screen, enabled with COMMAND+N
- CHANGED : language -nl +gb +pl +se


- 05-07-xx
~~~~~~~~~~
- ADDED : experimental Aeroplayer support
- CHANGED : experimental sound stream process
- FIXED : CGA mode glitches

- 05-03-xx
~~~~~~~~~~
- i'm lost ... start new list ...
- ADDED : Beneath a Steel Sky support
- ADDED : Adlib sound and music support
- ADDED : show free memory at startup (important for bug report)
- ADDED : T5 and Treo650 5way navigatir support
- ADDED : key to skip dialogs on Zodiac (green)
- ADDED : GoLCD support (on screen writing)
- ADDED : (Sky) ARM optimized decompression
- ADDED : card read/write cache capability <stdio>
- ADDED : palm sound stream and audio CD emu volume controls
- ADDED : disable stylus mouse click option (Misc)
- ADDED : render mode option (--render-mode : CGA, hercules,...) 
- ADDED : ARM optimized hercules render mode
- ADDED : ARM optimized CGArender mode (glitches)
- ADDED : ARM optimized sound stream copy
- ADDED : new Buffered mode for test purpose
- ADDED : optional card access indicator
- ADDED : 4KHz sound mode
- ADDED : optimized text rendering in FOTAQ
- ADDED : Palm API in 16bit mode
- CHANGED : big overall cleanup
- CHANGED : Buffered mode renamed to Palm API
- CHANGED : nicer tab controls
- CHANGED : Misc form : cleanup
- CHANGED : big ARM cleanup, a bit faster now
- CHANGED : aspect ratio, now with multiple mode
- FIXED : mouse button up event using palm keys
- FIXED : allow hot swap with game res <= 320x240 only
- FIXED : invalid mouse coordinates in wide mode
- FIXED : some delay problems
- FIXED : control rotation in portrait mode
- FIXED : unexpected key repeat
- FIXED : unexpected crash on T3 and T5 showing an alert (Frontend)
- FIXED : auto-off not always properly reset on exit
- FIXED : regression when sound is disabled
- FIXED : disapearing DIA launching an engine
- FIXED : crash updating game database after card insertion

- 04-12-24
~~~~~~~~~~
- CHANGED : don't show ARM option on non-ARM devices
- CHANGED : revamped ARM stuffs (again)
- CHANGED : cleanup
- FIXED : DIA madness
- FIXED : Wide mode problem in some cases (screen rotation)
- FIXED : dynamic form problem, now tabs use a drawProc to add missing parts

- 04-11-06
~~~~~~~~~~
// Major update !
- ADDED : ScummVM is now modular
- ADDED : modules are imported from memory card on game launch
- ADDED : Lightspeed integration
- ADDED : option to go back to the frontend on exit
- ADDED : audio button (skin)
- CHANGED : new "Informations" form with About/Version/Memory
- MOVED : Memory panel into "Informations" (will be System info)
- FIXED : new [] operator
- FIXED : small redraw problem in info panel (frontend)
- FIXED : language option (-q)
---------
- ADDED : ARM by default in direct mode
- ADDED : Preliminary AdLib driver support !
- ADDED : Preliminary Broken Sword 1 support (Zodiac only)
- ADDED : fgetc, getc functions <stdio>
- CHANGED : assert.h : true assert(...) function
- CHANGED : compile.h as prefix file
- FIXED : log file not being created
- FIXED : search path problem (comi, dig,...)
- FIXED : subtitles option
- FIXED : don't allow hot swap with 640x480 games
- REMOVED : auto reset on exit

- 04-10-06
~~~~~~~~~~
- FIXED : small skin redraw regression on some devices ( < OS5 )
- FIXED : prevent return key on game form (entry name + path)
- ADDED : Zodiac rumble support
- ADDED : --alt-intro support (for Queen)
- ADDED : screen shaking and vibrator in wide modes too
- ADDED : ARM optimized CostumeRenderer::proc3() function
- ADDED : ARM optimized Gdi::drawStripToScreen(...) function
- ADDED : ARM optimized Display::prepareUpdate() function
- ADDED : ARM optimized Display::blit(...) function
- ADDED : Sound Option : sample rate (--output-rate support)
- ADDED : Game Option : filtered gfx mode on Zodiac
- ADDED : joystick support on Zodiac
- ADDED : right click button with YELLOW button on Zodiac
- ADDED : MP3/Ogg support using Pocket Tunes API
- ADDED : skins can now be 16bit !
- ADDED : fullscreen and aspect ratio can now be defined for each games
- ADDED : platform : Windows
- CHANGED : exit function, now exits immediatly to launcher (no more reset !)
- CHANGED : speed up saved game loading
- CHANGED : use save/load cache only if possible
- CHANGED : platform : PC -> DOS
- CHANGED : revamped SknCopyBits(...) function
- CHANGED : smoother skin redraw on Zodiac
- CHANGED : ARM functions initialization
- CHANGED : Music & Sound : MIDI Clié/Zodiac -> built-in MIDI auto-detection
- CHANGED : Games Manager : new panel with tabs
- CHANGED : new menu
- CHANGED : Music & Sound per games
- CHANGED : better mouse emulation on all devices
- FIXED : bad background color (more to do >:( )
- FIXED : card avalaibility redraw problem
- REMOVED : (TEMP) dissolve effect (1,1)

- 04-06-01
~~~~~~~~~~
- ADDED : ARM -> wide renderer in landscape and portrait
- ADDED : ARM -> OSystem::CopyRectangleToScreen(...)
- ADDED : default audio CD driver to prevent scenes to be cut off too fast
- CHANGED : split PalmOS OSystem source file into multiple files
- CHANGED : bsearch now use SysBinarySearch
- CHANGED : rewrote a bit the MSA MP3 driver, more compatible
- CHANGED : Buffered mode now use only Palm API
- CHANGED : updated Audio CD tab (Music and sound)
- FIXED : screen depth problem switching between normal/wide in Zodiac
- FIXED : Bad colors switching between normal/wide in Zodiac
- FIXED : buffer overrun and result copy problem (using %c) in vsprintf <stdio>
- FIXED : fullscreen detection
- FIXED : bug setting plateform
- FIXED : bug using popups in tabs (list hidden but still active)
- FIXED : pause the sound thread when the palm is off to save battery

- 04-04-16
~~~~~~~~~~
- ADDED : (BACK) preliminary wide display support on Tapwave Zodiac
- ADDED : (BACK) preliminary support for sound on devices with Palm Sound API
- ADDED : MIDI music support on Zodiac with version 1.1
- ADDED : Zodiac keys mapping to help wide mode users
- ADDED : disable silkarea trigger at game initialization
- ADDED : ARM optimization checkbox (Misc panel)
- ADDED : preliminary sound support for Pa1Lib devices
- ADDED : hot swap gfx mode button (fullscreen or wide/normal)
- ADDED : F1 -> F10 keys mapped to COMMAND + 0-9 (0 is F10)
- ADDED : speech volume control (-r)
- ADDED : tabs namager to use with forms (easily reusable code :)
- CHANGED : music/sound/audio CD/volume now in a single form
- CHANGED : moved common globals from Scumm-globals to new Common-Globals
- CHANGED : std headers revamped to be used easier with other projects
- CHANGED : new 'strtol' function in <stdlib>
- CHANGED : re-ordered segments to allow 'one engine only' compilation
- CHANGED : fully revamped [...]printf functions, may fix insane engine
- FIXED : sony virtual silkarea detection
- FIXED : Indy 3 freeze at startup
- REMOVED : PalmOS volume control, now sound is set at max volume at start up

- 04-02-20
~~~~~~~~~~
- ADDED : ScummVM now starts in launcher mode if there is no skin installed
- ADDED : preliminary support of Simon games !
- ADDED : preliminary support of 5-way navigator (mouse emulation)
- ADDED : preliminary support for wide mode on landscape devices (UX50, T3,...)
- ADDED : preliminary ARM optimized wide display (disabled for now)
- ADDED : 'Use larger stack' misc option (need for games like Simon)
- ADDED : Stack size in the 'View Memory' menu option
- ADDED : Builder is now part of the main CW project
- ADDED : required memory configuration is now based on available memory on the device
- ADDED : read/write led indicator is back
- ADDED : 'Keep aspect ratio' misc option (--[no-]aspect-ratio, wide Zodiac only)
- ADDED : 'Enable copy protection" misc option (--copy-protection)
- ADDED : Use native coordinate system on Hi-Density devices
- ADDED : auto jump to the first game that match the 'pressed' letter in games list
- ADDED : wrap_mouse OSystem function
- CHANGED : the device will reset if it fail to exit a game (Simon 1 & 2)
- CHANGED : updated to CodeWarrior v9.3
- CHANGED : new numeric pad (fight mode in Indy3/4), now centered
- CHANGED : new 'Misc Options' form with tabs
- CHANGED : new Hi-Res MS and ABOUT buttons (top right)
- CHANGED : new timer handler, now works also during delay
- FIXED : (Sys0505) (0,1136) error (DIA calls on non-DIA devices)
- FIXED : display problem changing orientation with some DIA devices (T3,...)
- FIXED : display issue with Garmin iQue3600 (thanks to M. Nielsen for report)
- FIXED : list positon problem after adding a new game
- FIXED : Hi-Res support detection (Treo600)
- FIXED : 'Free Handle' error launching ScummVM
- ADDED : (TEMP.REMOVED) preliminary wide display support on Tapwave Zodiac
- ADDED : (TEMP.REMOVED) preliminary support of COMI (Zodiac only, very slow)
- ADDED : (TEMP.REMOVED) preliminary support for sound on devices with Palm Sound API

- 03-09-24
~~~~~~~~~~
- ADDED : --platform option (platform support)
- ADDED : Update games database if needed
- ADDED : startup screen with tiny font also on Hi-Density devices
- ADDED : preliminary support for DIA API compatible devices (Tapwave Zodiac for now)
- CHANGED : split palmstart.cpp into multiple files
- FIXED : move_screen function on Hi-Density devices
- FIXED : text fields, memory handles were too short (end null char missing)

- 03-08-18
~~~~~~~~~~
- ADDED : fullscreen mode (mainly for UX50, no rescale)
- ADDED : UX50 support
- ADDED : Demo mode option (--demo-mode with Maniac Mansion C64)
- ADDED : (again ?!) memory card directory structure auto-creation
- CHANGED : new wide display code (ARMlet is coming :) thanks to Mark Fechtner)
- CHANGED : speed up mouse draw functions
- FIXED : mouse movement with hard keys (5-way navigator support is coming)
- FIXED : overlay related stuffs
- FIXED : insert/remove card notification while playing
- FIXED : card list problem, some cards were not displayed
- FIXED : invalid reference number passed to SilkLibClose exiting games with wide display
- FIXED : unexpected crashes on some devices due to 'out of memory'
- FIXED : games list was deleted if no memory card selected and exit and restart ScummVM
- REMOVED : read/write led indicator

- 03-08-01
~~~~~~~~~~
- ADDED : check if path exists before launching a game
- CHANGED : MP3s now try to play even if the lib is already opened by another application
- FIXED : crash while trying to use the ScummVM built-in launcher
- FIXED : freeze while trying to exit when one or more dialogs are displayed

- 03-07-07
~~~~~~~~~~
- ADDED : Adlib wrapper for midi (currently NULL driver, so no music :))
- ADDED : -q option (languages support)
- ADDED : enable MP3 option
- ADDED : set first audio track option
- CHANGED : thread emu now can use multiple threads (needed by --multi-midi option)
- CHANGED : ctrl+q -> ctrl+z
- FIXED : MP3 doesn't play till the end if low quality files are used
- FIXED : %c modifier with 4byte int option (fix some debugger options)
- FIXED : talk forever bug and freeze
- FIXED : unexpected crash in some cases

- 03-06-08
~~~~~~~~~~
- ADDED : MP3 support for cd-rom audio tracks (Clié buit-in MP3(?) support or audio adapter)
- ADDED : option to save games list to memory card
- ADDED : check preferences size before loading them (prevent error if there is new option)
- ADDED : more JogDial features : left click (push), right click (back), menu (long push)
- ADDED : small icons
- CHANGED : new memory card dialog
- CHANGED : speed improvement with V2 games (thanks to Fingolfin)
- FIXED : crash on exit on OS5 devices
- FIXED : crash loading a saved game on some devices

- 03-05-29
~~~~~~~~~~
- ADDED : upgrade the stack size (pref:8192 maybe to big...)
- ADDED : click sound for skin button (as requested by me :)
- ADDED : wide display for HiRes+ devices (experimental, extremely slow !)
- CHANGED : move_screen function fix + speed up using WinScrollRectangle (indy4 baloon)
- FIXED : sound problem on exit

- 03-05-15
~~~~~~~~~~
- ADDED : virtual num pad mainly for indy fighting (ctrl+n)
- ADDED : memory state panel
- CHANGED : drawKeyState as static function
- CHANGED : tempo popup -> tempo numeric field (50..200)
- CHANGED : Yamaha Pa1 -> Clié (Yamaha Pa1) in music popup
- CHANGED : exit function now create a keyDownEvent instead of appStopEvent

- 03-05-12
~~~~~~~~~~
- cleanup
- ADDED : auto reset on exit option (Misc.)
- ADDED : CTRL+q to quit
- CHANGED : moved more scumm globals to DB
- FIXED : exit problem (double tap on Calc button)

- 03-05-02
~~~~~~~~~~
- NEW : palm port included in official CVS !
- CHANGED : move temp screen (overlay) to storage heap (save 64k of dynamic heap !)
- ADDED : music tempo option (-t)
- ADDED : save scummvm.ini option (-w)
- ADDED : little Tungsten|T hack by Doug, may work better (just better...)

- 03-04-11
~~~~~~~~~~
- ADDED : custom colors for list items (skin)
- FIXED : save issue with N710C devices
- FIXED : no more corrupted saved game (ads error, fatal error)
- FIXED : list position when adding/deleting an entry (Palm GUI)

- 03-04-04
~~~~~~~~~~
- ADDED : minimal in-game Jog support
- ADDED : CTRL/ALT keys support (use the command stroke)
- ADDED : scummvm debugger support (CTRL+D)
- ADDED : scummvm launcher support (start with no entry selected)
- CHANGED : Card menu item is now used only for saved games/log file/launcher config
- CHANGED : when ScummVM try to load a game data file, all avalaible cards are parsed
- CHANGED : better events handler
- CHANGED : parts of global variables are now located on external databases

- 03-03-29
~~~~~~~~~~
- ADDED : music support for yamaha Pa1 chips (thanks a lot to Chris Atienza)
- ADDED : talk speed startup option
- ADDED : Clié Launcher infos
- ADDED : Misc. Options dialog
- ADDED : better memory card support
- ADDED : beam ScummVM/Skins
- CHANGED : whole new skin engine
- CHANGED : games are now saved in the .../ScummVM/Saved/ folder
- CHANGED : renderer engine (just a bit, more compatible)
- CHANGED : better keys support
- FIXED : mouse corruption on exit (may fix some exit problems)
- FIXED : renderer mode selection (was always in direct screen mode)
- FIXED : graffiti strokes problem
- FIXED : fgets function, scummvm.ini is now correct
- FIXED : prevent use of "space only" string on game params
- FIXED : crash on exit with NR devices

- 03-02-21 -> v0.2.97Gui Beta (preview)
~~~~~~~~~~
- ADDED : skinable interface
- ADDED : games list
- ADDED : mouse emulation with hard keys
- ADDED : more startup options :
	- load game slot (x)
	- start in room (x)
	- amiga palette
	- no bustitles
- REMOVED : remove previouly added extended memory management to prevent crash
- FIXED : fix the bug with o6_abs function (and may fix some other stuffs)

- 03-01-27 -> Pre-v0.2.97 Beta
~~~~~~~~~~
- new memory management so that ScummVM can use more free memory (previously no more
  than 2MB limited by the size of the dynamic heap and only 900k on my T625C :)
- may fix the problem with Sam'n'Max
- preliminary support for Full Throttle !
- implement Hi-Res check for other platforms (test purpose only)

- 03-01-24 -> v0.2.96 Beta
~~~~~~~~~~
- reimplement support for the Putt-Putt game series
- add a version for without Hi-Res check ScummVM_NoCheck.prc (Tungsten-T ?)

- 03-01-24 -> v0.2.95 Beta
~~~~~~~~~~
- fix a bug so that the good color depth is set at startup
- fix a crash in zak256 (and perhaps in other games) due to unimplemented
  function (set_sound_proc, this seems to be a bug in the scumm core that don't
  handle the response from this function correctly)

- 03-01-23 -> v0.2.94 Beta
~~~~~~~~~~
- fix some memory leaks
- fix problem with monkey2 and indy3 that didn't pass the intro due to unimplemented
  function (create_thread), i finally find a way to do simili-thread with PalmOS :)

- 03-01-22 -> v0.2.93a/b Beta
~~~~~~~~~~
- fix the MQWin.c error when the system need to show a fatal error (one more time)
- fix the hang problem with zak256 and loomcd due to unimplemented function (set_timer)

- 03-01-21 -> v0.2.93 Beta
~~~~~~~~~~
- add auto-off button
- reimplement my custom mouse pointer for zak256

- 03-01-21 -> v0.2.92 Beta
~~~~~~~~~~
- port of version 0.3.0b (no sound, no Simon the Sorcerer)

- 03-01-11 -> v0.1.1c Beta
~~~~~~~~~~
- fix the MQWin.c error when the system need to show a fatal error

- 03-01-10 -> v0.1.1b Beta
~~~~~~~~~~
- bypass copy protection for Monkey Island I
- better support for pen handling with the new gui

- 03-01-10 -> v0.1.1 Beta
~~~~~~~~~~
- new in game gui with hack for 256 colors mode (from v0.3.0b)
- transition fixes
- zak256 cashcard fix ?
- autosave on exit

- 03-01-03 -> v0.1.0 Beta
~~~~~~~~~~
- new transition effects (from v0.3.0b)
- lights implementation (from v0.3.0b)
- new random number generator (from v0.3.0b)
